/* This file contains functions to
 * compute the Moyal distribution
 * PDF, CDF and QDF functions.
 */

#pragma once

/* This is a wrapper needed by `moyal_cdf` and
 * other optimisation functions because the GSL
 * routines expect a function with parameters.
 */
double moyal_pdf(double x, void* params);


/* The cumulative function of the Moyal distribution.
 */
double moyal_cdf(double x, void* params);


/* The quantile function (inverse CDF) of the Moyal
 * distribution.
 */
double moyal_qdf(double p0, void* params);
